ShowAmmo = true

	// Get Texture ID's
	local ArmorTex = surface.GetTextureID("FEAR/armor")
	local BulletTex = surface.GetTextureID("FEAR/bullet")
	local HealthTex = surface.GetTextureID("FEAR/healthcross")
	
	// Screen Info
	local Width = ScrW()
	local Height = ScrH()

surface.CreateFont( "Agency FB", 35, 200, 0, 0, "FEAR")

function DrawHud()
	if LocalPlayer():GetActiveWeapon() == NULL or LocalPlayer():GetActiveWeapon() == "Camera" then return end  
	
	// Get Numbers
	local Armor = LocalPlayer():Armor()
	local Health = LocalPlayer():Health()
	

	// Ammo Stuff
	local PrimaryAmmo = LocalPlayer():GetActiveWeapon():Clip1()
	local SecondaryAmmo = LocalPlayer():GetActiveWeapon():GetSecondaryAmmoType()
	local AmmoString = tostring(PrimaryAmmo.. " / " .. LocalPlayer():GetAmmoCount(SecondaryAmmo))
	
	if Health < 1 then Health = 0 end	
	if Armor < 1 then Armor = 0 end

	
	local ArmorWidth = (Armor / 100) * 124
	local HealthWidth = (Health / 100) * 124
	
	if ArmorWidth > 124 then ArmorWidth = 124 end
	if HealthWidth > 124 then HealthWidth = 124 end
	
	// HEALTH
	draw.RoundedBox( 6, 19.5, Height - 100, 130, 60, Color( 140, 175, 140, 200 ) )
	draw.RoundedBox( 4, 22, Height - 98, 46, 46, Color( 25, 35, 27, 200 ) )
	draw.RoundedBox( 4, 70, Height - 98, 78, 46, Color( 25, 35, 27, 200 ) )
	surface.SetTexture( HealthTex )
	surface.SetDrawColor( 255, 255, 255, 255 )
	surface.DrawTexturedRect( 26, Height - 94, 38, 38 )
	draw.RoundedBox( 2, 22, Height - 50, 126, 8, Color( 25, 35, 27, 200 ) )
	draw.RoundedBox( 2, 23, Height - 49, HealthWidth, 6, Color( 225, 235, 227, 200 ) )
	draw.SimpleText( Health, "FEAR", 110, Height - 75, Color( 140, 175, 140, 200 ), 1, 1 )
	
	// ARMOR
	draw.RoundedBox( 6, 159.5, Height - 100, 130, 60, Color( 140, 175, 140, 200 ) )
	draw.RoundedBox( 4, 162, Height - 98, 46, 46, Color( 25, 35, 27, 200 ) )
	draw.RoundedBox( 4, 210, Height - 98, 78, 46, Color( 25, 35, 27, 200 ) )
	surface.SetTexture( ArmorTex )
	surface.SetDrawColor( 255, 255, 255, 255 )
	surface.DrawTexturedRect( 171, Height - 94, 38, 38 )
	draw.RoundedBox( 2, 162, Height - 50, 126, 8, Color( 25, 35, 27, 200 ) )
	draw.RoundedBox( 2, 163, Height - 49, ArmorWidth, 6, Color( 225, 235, 227, 200 ) )
	draw.SimpleText( Armor, "FEAR", 250, Height - 75, Color( 140, 175, 140, 200 ), 1, 1 )
	
	if ShowAmmo then

		// AMMO
		draw.RoundedBox( 6, Width - 300, Height - 100, 40, 60, Color( 140, 175, 140, 200 ) )
		draw.RoundedBox( 4, Width - 298, Height - 98, 36, 56, Color( 25, 35, 27, 200 ) )
		
		surface.SetTexture( BulletTex )
		surface.SetDrawColor( 255, 255, 255, 255 )
		surface.DrawTexturedRect( Width - 286, Height - 94, 52, 72 )
		
		draw.SimpleText( AmmoString, "FEAR", Width - 215, Height - 60, Color( 140, 175, 140, 200 ), 1, 1 )
		
	end
	
end

hook.Add( "HUDPaint", "DrawFearHud", DrawHud )


function Hide( Element ) 

	if ( Element == "CHudHealth" ) or ( Element == "CHudBattery" ) then
	   
	   return false
	   
	end
	   
	if 	   ( Element == "CHudAmmo" ) and ShowAmmo or ( Element == "CHudSecondaryAmmo" ) and ShowAmmo then
	
	   return false

	end
	
end
hook.Add("HUDShouldDraw", "Hide", Hide) 
